using System.Runtime.InteropServices;
using Decal.Interop.Net;

namespace Decal.Interop.Filters;

[ClassInterface(ClassInterfaceType.None)]
[TypeLibType(TypeLibTypeFlags.FHidden)]
public sealed class IEchoSink2_SinkHelper : IEchoSink2
{
	public IEchoSink2_EchoServerEventHandler m_EchoServerDelegate;

	public IEchoSink2_EchoClientEventHandler m_EchoClientDelegate;

	public int m_dwCookie;

	public void EchoServer(IMessage2 P_0)
	{
		//Error decoding local variables: Signature type sequence must have at least one element.
		if (m_EchoServerDelegate != null)
		{
			m_EchoServerDelegate(P_0);
		}
	}

	public void EchoClient(IMessage2 P_0)
	{
		//Error decoding local variables: Signature type sequence must have at least one element.
		if (m_EchoClientDelegate != null)
		{
			m_EchoClientDelegate(P_0);
		}
	}

	internal IEchoSink2_SinkHelper()
	{
		//Error decoding local variables: Signature type sequence must have at least one element.
		m_dwCookie = 0;
		m_EchoServerDelegate = null;
		m_EchoClientDelegate = null;
	}
}
